HPG(1) - General Commands Manual

# NAME

**hpg** - simple password generator

# SYNOPSIS

**hpg**
\[**-N**]
\[**-lnsu**]
\[**-x**&nbsp;*length*]

# DESCRIPTION

The
**hpg**
utility creates passwords of different sizes, between 1 and 2^16 characters. Please note that a
length of &lt;8 is not very secure and should be avoided. For this reason the default password length
is 16 if the command is called without any options. The default entropy contains lower and upper
case letters as well as numbers.

**-l**

> Enables lower case letters.

**-N**

> Disables the printing of the trailing newline character.

**-n**

> Enables numbers.

**-s**

> Enables special characters.

**-u**

> Enables upper case letters.

**-x** *length*

> Selects the length of the password.

# EXIT STATUS

The **hpg** utility exits&#160;0 on success, and&#160;&gt;0 if an error occurs.

# EXAMPLES

Create a new random password:

	$ hpg -lnsu -x 32

# AUTHORS

Fritjof Bornebusch &lt;[fritjof@alokat.org](mailto:fritjof@alokat.org)&gt;

OpenBSD 6.1 - March 21, 2017
